## FolksInteractionDetails

FolksInteractionDetails — Interaction details of a contact.

## Types and Values

| FolksInteractionDetails
struct | FolksInteractionDetailsIface

## Description

Interaction details are the number and date/time of calls or IM interactions with a contact, giving an idea of the recent interactions the user has had with that contact.

## Functions

## Types and Values

### FolksInteractionDetails

    typedef struct _FolksInteractionDetails FolksInteractionDetails;

Interaction details of a contact.

Interaction details are the number and date/time of calls or IM interactions with a contact, giving an idea of the recent interactions the user has had with that contact.

Since: 0.7.1

### struct FolksInteractionDetailsIface

    struct FolksInteractionDetailsIface {
    	GTypeInterface parent_iface;
    	guint (*get_im_interaction_count) (FolksInteractionDetails* self);
    	GDateTime* (*get_last_im_interaction_datetime) (FolksInteractionDetails* self);
    	guint (*get_call_interaction_count) (FolksInteractionDetails* self);
    	GDateTime* (*get_last_call_interaction_datetime) (FolksInteractionDetails* self);
    };

Interface for creating FolksInteractionDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`get_im_interaction_count` () | getter method for the abstract property "im-interaction-count" |
`get_last_im_interaction_datetime` () | getter method for the abstract property "last-im-interaction-datetime" |
`get_call_interaction_count` () | getter method for the abstract property "call-interaction-count" |
`get_last_call_interaction_datetime` () | getter method for the abstract property "last-call-interaction-datetime" |